﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Zeitprotokoll
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<Aktivität> Aktivitäten = new List<Aktivität>();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadioButton_Checked(object sender, RoutedEventArgs e)
        {
            if (Aktivitäten.Count != 0)
            {
                Aktivitäten.Last().SetzeEnde();
            }
            Aktivitäten.Add(new Aktivität( ((RadioButton)sender).Content.ToString() ));

            List<string> Beschreibungen = new List<string>();
            for (int i = 0; i < Aktivitäten.Count; i++)
            {
                string b = Aktivitäten[i].GibBeschreibung();
                if(!Beschreibungen.Contains(b))
                {
                    Beschreibungen.Add(b);
                }
            }

            string s = "";

            for (int j = 0; j < Beschreibungen.Count; j++)
            {
                double Zeit = 0.0;
                for (int i = 0; i < Aktivitäten.Count; i++)
                {
                    if (Aktivitäten[i].GibBeschreibung() == Beschreibungen[j])
                    {
                        Zeit += Aktivitäten[i].Dauer().TotalHours;
                    }
                }
                s = s + Beschreibungen[j] + ": " + Zeit + "\n";
            }

            Ausgabe.Text = s;
        }
    }

    class Aktivität
    {
        string Bezeichnung;
        DateTime Anfang;
        DateTime Ende;

        public Aktivität(string Bezeichnung)
        {
            this.Bezeichnung = Bezeichnung;
            Anfang = DateTime.Now;
            Ende = DateTime.Now;
        }

        public void SetzeEnde(DateTime Ende)
        {
            this.Ende = Ende;
        }

        public void SetzeEnde()
        {
            Ende = DateTime.Now;
        }

        public TimeSpan Dauer()
        {
            return Ende - Anfang;
        }

        public string AlsZeichen()
        {
            return Bezeichnung + " Dauer " + Dauer();
        }

        public string GibBeschreibung()
        {
            return Bezeichnung;
        }
    }
}
